<template>
<div class="wrapper">

  <!-- <div class="step">
    <div class="text">
      <h3>1. Sync your existing portfolio</h3>
      <p>
        Connect your wallets by API or by the address.
      </p>
    </div>
    <div class="image">
    </div>
  </div>

  <hr/> -->

  <div class="step-desktop">
    <div class="exchange-connect image">
      <img src="/static/exchange-connect.png">
    </div>
    <div class="text">
      <h3>1. Connect exchanges</h3>
      <p>
        Connect exchanges you use for your trading.
        This ensures your future transactions will be projected into the portfolio you're sharing.
      </p>
    </div>
  </div>

  <div class="step-mobile">
    <div class="text">
      <h3>1. Connect exchanges</h3>
      <p>
        Connect exchanges you use for your trading.
        This ensures your future transactions will be projected into the portfolio you're sharing.
      </p>
    </div>
    <div class="exchange-connect image">
      <img src="/static/exchange-connect.png">
    </div>
  </div>

  <hr/>

  <div class="step">
    <div class="text">
      <h3>2. Earn coins and communicate with your portfolio followers</h3>
      <p>
        If someone copies your portfolio you get a small <b>reward in your portfolio coins</b>.
      </p>
    </div>
    <div class="portfolio-earn image">
      <img src="/static/portfolio-earn.png">
    </div>
  </div>

</div>
</template>

<script>
export default {
  name: 'LandingPageSharingExplanation',
};
</script>

<style lang="scss" scoped>
@import '~styles/colors.scss';

hr {
  height: 1px;
  width: 60%;
  border: none;

  background-color: $line-color;
}

.step, .step-desktop {
  display: flex;
  align-items: center;

  p {
    font-size: 1.1em;
  }

  .image {
    flex: 50;
    margin: 1em;
  }

  .text {
    flex: 50;
    margin: 1em;

    text-align: left;
  }
}

.step-mobile {
  display: none;
}

.exchange-connect {
  img {
    max-width: 320px;
  }
}

.portfolio-earn {
  img {
    max-width: 549px;
  }
}

@media screen and (max-width: 425px) {
  .step, .step-mobile {
    display: block;
    text-align: left;

    .image {
      margin: 0;
      text-align: center;

      img {
        max-width: 100%;
        max-height: 100%;
      }
    }
  }
  .step-desktop {
    display: none;
  }
}
</style>
